Bug 277931 - Review Request: jgoodies-looks - Java look&feel
Review Request: jgoodies-looks - Java look&feel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 03:46 EDT by Mary Ellen Foster
Modified: 2011-12-22 08:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 15:51:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2007-09-05 03:46:06 EDT
Spec URL: http://mef.fedorapeople.org/packages/jgoodies/jgoodies-looks.spec
SRPM URL: http://mef.fedorapeople.org/packages/jgoodies/jgoodies-looks-2.1.4-1.fc7.src.rpm
Description:

The JGoodies look&feels make your Swing applications and applets look better.
They have been optimized for readability, precise micro-design and usability.

Main Benefits:

* Improved readability, legibility and in turn usability.
* Improved aesthetics - looks good on the majority of desktops
* Simplified multi-platform support
* Precise micro-design
Comment 1 Mamoru TASAKA 2007-10-11 13:02:08 EDT
For 2.1.4-1:

* rpmlint issue, timestamps
  - Fix these like bug 277921.

* License
  - Would you clarify the license of 
    src/core/com/jgoodies/looks/common/ExtBasicCheckBoxMenuItemUI.java ?
    This file says:
----------------------------------------------------------
/*
 * Copyright (c) Sun Microsystems.
 * 
 * JGoodies Note: I've added this copyright to clarify
 * that this code has been developed and published by Sun.
 */
-----------------------------------------------------------
Comment 2 Mary Ellen Foster 2007-10-17 04:00:03 EDT
Okay, I've addressed all of your comments. I emailed the developer last night
about the license of that one file and will update when I hear back, but I made
the rest of the changes.

http://mef.fedorapeople.org/packages/jgoodies/jgoodies-looks.spec
http://mef.fedorapeople.org/packages/jgoodies/jgoodies-looks-2.1.4-2.fc7.src.rpm
Comment 3 Mamoru TASAKA 2007-10-17 13:24:49 EDT
(In reply to comment #2)
> Okay, I've addressed all of your comments. I emailed the developer last night
> about the license of that one file and will update when I hear back, but I made
> the rest of the changes.
> 
> http://mef.fedorapeople.org/packages/jgoodies/jgoodies-looks.spec
> http://mef.fedorapeople.org/packages/jgoodies/jgoodies-looks-2.1.4-2.fc7.src.rpm

Well, I have not checked this spec/srpm, however if upstream doesn't to
respond to you quickly, would you check if this package can be used
without the file under issue? (I don't know how to use this package)
Comment 4 Mary Ellen Foster 2007-10-30 13:37:02 EDT
Still no word from upstream, but I've modified the package to remove this file.
NB: I haven't tested this extensively yet.

http://mef.fedorapeople.org/packages/jgoodies/jgoodies-looks.spec
http://mef.fedorapeople.org/packages/jgoodies/jgoodies-looks-2.1.4-3.f7.src.rpm
Comment 5 Mamoru TASAKA 2007-10-31 12:13:35 EDT
Well, actually I don't know how to use this package, so
would you verify if your srpm works well for your purpose?
For this package I cannot check issues other than packaging issue.
Comment 6 Mamoru TASAKA 2007-11-12 04:47:58 EST
ping?
Comment 7 Mary Ellen Foster 2007-11-12 04:51:40 EST
Sorry ... I still haven't heard back from the developer about the licensing of
the file. My initial stab at patching the library not to use the questionable
file was unsuccessful, but I'll try again this week.
Comment 8 Mary Ellen Foster 2007-11-19 12:46:28 EST
I'm very sorry for the delay. I've finally got a patch that I think works around
the problematic file. Updated files are here:

http://mef.fedorapeople.org/packages/jgoodies/jgoodies-looks.spec
http://mef.fedorapeople.org/packages/jgoodies/jgoodies-looks-2.1.4-4.fc8.src.rpm
Comment 9 Mamoru TASAKA 2007-11-20 04:27:46 EST
Again please add LICENSE.txt. Other things are okay.

----------------------------------------------------------
   This package (jgoodies-looks) is APPROVED by me
----------------------------------------------------------
Comment 10 Mary Ellen Foster 2007-11-20 05:51:49 EST
New Package CVS Request
=======================
Package Name: jgoodies-looks
Short Description: Java look&feel
Owners: mef
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2007-11-20 13:54:26 EST
cvs done.
Comment 12 Mary Ellen Foster 2007-11-20 15:51:34 EST
Built in koji
Comment 13 Orion Poplawski 2011-12-21 16:33:12 EST
I'd like to get this into el6.  Mohamed - do you want to maintain or shall I?
Comment 14 Mohamed El Morabity 2011-12-21 21:07:22 EST
Package Change Request
======================
Package Name: jgoodies-looks
New Branches: el6
Owners: melmorabity
Comment 15 Gwyn Ciesla 2011-12-22 08:11:14 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.